Subject: bug#43073: Trim/hide full email headers on debbugs

From: Michael Albinus <[email-masked]>
Date: Thu, 03 Dec 2020 09:33:00 +0100

Bob Proulx <[email-masked]> writes:

Hi Bob,

> I see we have yet another complaint about IP addresses.  Two if I
> count the other mailing list complaint too.  Personally I have no
> understanding of what people are thinking with regards to IP
> addresses.  I think I will blame Hollywood movies on it.  Hollywood
> makes people think it means something that it does not mean.
>
> In any case yet again the complaint was about the db links.  It's
> really only the db tree view that people are complaining about.
>
>     https://debbugs.gnu.org/db/XY/XYABC.html
>
> I use the BTS a lot but really I had never looked at the db views
> before these complaints.  Is there a use for the db views?
>
> What do people think of disabling the display of the entire db view
> tree?  I propose to do this unless someone tells me not to.
>
> Just keep it simple and take the brute force and ignorance approach
> and add in another apache server rewrite rule redirect so that the
> entire tree is redirected to the document root.  In one action that
> would make all of those views unavailable and perhaps would stop the
> complaints.  WDYT?

Looks reasonable to me.

I add Lars as Cc. I know he's collecting stats about debbugs.org, and I
don't know whether he needs the db links for retrieval of data.

> Bob

Best regards, Michael.